Subject: Toggling tool-bar-mode produces random frame-height
From: grischka <[email-masked]>
To: [email-masked]
Date: Fri, 02 Jan 2009 18:43:08 +0100

In GNU Emacs 23.0.60.1 (i686-pc-linux-gnu, GTK+ Version 2.14.4) of 2009-01-02
On Ubuntu 8.10 - the Intrepid Ibex - released in October 2008.

Toggling tool-bar-mode produces random frame-height

To reproduce:
1) emacs -Q
2) choose Monospace-8 font from the "Options" menu
3) M-: (progn (tool-bar-mode) (cons tool-bar-mode (frame-height)))
4) repeat 3)

 From *Messages* buffer:

Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 42)
(t . 39)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 41)
(t . 38)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 40)
(t . 37)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 37)
(t . 34)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 34)
(t . 33)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 38)
(t . 35)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 35)
(t . 34)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 39)
(t . 36)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 36)
(t . 36)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 41)
(t . 41)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 41)
(t . 38)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 38)
(t . 37)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 37)
(t . 34)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 36)
(t . 33)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 35)
(t . 35)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 37)
(t . 37)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 37)
(t . 34)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 37)
(t . 34)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 39)
(t . 36)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 38)
(t . 33)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 35)
(t . 32)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 32)
(t . 29)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 31)
(t . 28)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 28)
(t . 25)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 30)
(t . 30)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 32)
(t . 29)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 31)
(t . 28)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 30)
(t . 27)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 29)
(t . 26)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 28)
(t . 28)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 28)
(t . 25)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 27)
(t . 24)
Toggling tool-bar-mode off; better pass an explicit argument.
(nil . 29)